# Class Arbitrator

#### Hierarchy

- unknown
  - Arbitrator

- Defined in src/protobuf/pb_pb.d.ts:2339
- Defined in src/protobuf/pb_pb.d.ts:2383

#####
Index

### Constructors

constructor

### Methods

addLanguageCodes
clearExtraDataMap
clearLanguageCodesList
clearNodeAddress
clearPubKeyRing
getEmailAddress
getExtraDataMap
getInfo
getLanguageCodesList
getNodeAddress
getPubKeyRing
getRegistrationDate
getRegistrationPubKey
getRegistrationPubKey_asB64
getRegistrationPubKey_asU8
getRegistrationSignature
hasNodeAddress
hasPubKeyRing
serializeBinary
setEmailAddress
setInfo
setLanguageCodesList
setNodeAddress
setPubKeyRing
setRegistrationDate
setRegistrationPubKey
setRegistrationSignature
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Arbitrator(): Arbitrator

- #### Returns Arbitrator

  Inherited from jspb.Message.constructor

## Methods

### addLanguageCodes

- addLanguageCodes(value: string, index?: number): Arbitrator

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2348

### clearExtraDataMap

- clearExtraDataMap(): Arbitrator

- #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2373

### clearLanguageCodesList

- clearLanguageCodesList(): Arbitrator

- #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2347

### clearNodeAddress

- clearNodeAddress(): Arbitrator

- #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2343

### clearPubKeyRing

- clearPubKeyRing(): Arbitrator

- #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2364

### getEmailAddress

- getEmailAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2366

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:2372

### getInfo

- getInfo(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2369

### getLanguageCodesList

- getLanguageCodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2345

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:2340

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:2361

### getRegistrationDate

- getRegistrationDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2350

### getRegistrationPubKey

- getRegistrationPubKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2356

### getRegistrationPubKey_asB64

- getRegistrationPubKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2358

### getRegistrationPubKey_asU8

- getRegistrationPubKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2357

### getRegistrationSignature

- getRegistrationSignature(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2353

### hasNodeAddress

- hasNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2342

### hasPubKeyRing

- hasPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2363

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2375

### setEmailAddress

- setEmailAddress(value: string): Arbitrator

- #### Parameters

  - ##### value: string

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2367

### setInfo

- setInfo(value: string): Arbitrator

- #### Parameters

  - ##### value: string

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2370

### setLanguageCodesList

- setLanguageCodesList(value: string[]): Arbitrator

- #### Parameters

  - ##### value: string[]

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2346

### setNodeAddress

- setNodeAddress(value?: NodeAddress): Arbitrator

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2341

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing): Arbitrator

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2362

### setRegistrationDate

- setRegistrationDate(value: number): Arbitrator

- #### Parameters

  - ##### value: number

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2351

### setRegistrationPubKey

- setRegistrationPubKey(value: string | Uint8Array): Arbitrator

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2359

### setRegistrationSignature

- setRegistrationSignature(value: string): Arbitrator

- #### Parameters

  - ##### value: string

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2354

### toObject

- toObject(includeInstance?: boolean): Arbitrator.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Arbitrator.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2376

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Arbitrator

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2379

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Arbitrator, reader: BinaryReader): Arbitrator

- #### Parameters

  - ##### message: Arbitrator

  - ##### reader: BinaryReader

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:2380

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Arbitrator, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Arbitrator

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2378

### `Static` toObject

- toObject(includeInstance: boolean, msg: Arbitrator): Arbitrator.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Arbitrator

  #### Returns Arbitrator.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2377

Generated using TypeDoc